Chrome Error: Citrix ICA Client will soon be unsupported

If you are in Google Chrome and see the error in the image below, you can ignore it and continue to work as usual OR you can use another browser such as Internet Explorer or Firefox. Citrix is aware of the issue and is working to find a resolution. We will notify users once they have provided a resolution to the issue.



Have more questions? Submit a request



Article is closed for comments.